Summary: A graphical interface for basic firewall setup
Name: system-config-firewall
Version: 1.0.1
Release: 2%{?dist}
URL: http://fedora.redhat.com/projects/config-tools/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
Obsoletes: gnome-lokkit
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
Obsoletes: redhat-config-securitylevel
Obsoletes: system-config-securitylevel
Requires: pygtk2
Requires: python
Requires: usermode >= 1.36
Requires: libselinux >= 1.19.1
Requires: system-config-firewall-tui = %{version}-%{release}
Requires: hicolor-icon-theme
Requires: pygtk2-libglade
Requires: gtk2 >= 2.6

%description
system-config-firewall is a graphical user interface for basic firewall setup.

%package tui
Summary: A text interface for basic firewall setup
Group: System Environment/Base
Obsoletes: lokkit
Obsoletes: redhat-config-securitylevel-tui
Requires: iptables >= 1.2.8
Requires: iptables-ipv6
Requires: system-config-network-tui
Requires: rhpl
Requires: newt

%description tui
system-config-firewall-tui is a text and commandline user
interface for basic firewall setup.

%prep
%setup -q

%build
make

%install
make INSTROOT=%{buildroot} install

desktop-file-install --vendor system --delete-original       \
	--dir %{buildroot}%{_datadir}/applications             \
	--add-category X-Red-Hat-Base                             \
	%{buildroot}%{_datadir}/applications/system-config-firewall.desktop

%find_lang %name

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
/usr/bin/system-config-firewall
/usr/share/system-config-firewall/fw_gui.*
/usr/share/system-config-firewall/gtk_*
/usr/share/system-config-firewall/*.glade
/usr/share/system-config-firewall/system-config-firewall.py*
/usr/share/system-config-firewall/*.png
%attr(0644,root,root) %{_datadir}/applications/system-config-firewall.desktop
%attr(0644,root,root) %{_datadir}/icons/hicolor/48x48/apps/system-config-firewall.png
%attr(0644,root,root) %config /etc/security/console.apps/system-config-firewall
%attr(0644,root,root) %config /etc/pam.d/system-config-firewall
%attr(0644,root,root) %config /etc/sysconfig/system-config-firewall

%files -f %{name}.lang tui
%defattr(-,root,root)
/usr/sbin/lokkit
/usr/bin/system-config-firewall-tui
%dir /usr/share/system-config-firewall
/usr/share/system-config-firewall/etc_services.*
/usr/share/system-config-firewall/fw_config.*
/usr/share/system-config-firewall/fw_functions.*
/usr/share/system-config-firewall/fw_iptables.*
/usr/share/system-config-firewall/fw_parser.*
/usr/share/system-config-firewall/fw_selinux.*
/usr/share/system-config-firewall/fw_services.*
/usr/share/system-config-firewall/fw_sysconfig.*
/usr/share/system-config-firewall/fw_tui.*

%changelog
* Mon Jul 23 2007 Thomas Woerner <twoerner@redhat.com> 1.0.1-2
- fixed disabled string in fw_gui
- set mode after copying of ip*tables-config to 0600
- fixed categories in desktop file

* Mon Jun  4 2007 Thomas Woerner <twoerner@redhat.com> 1.0.1-1
- fixed startup and description texts
- added missing requirement for system-config-network-tui
- moved base python files into tui sub package
- fixed requirements
- made package noarch

* Fri Jun  1 2007 Thomas Woerner <twoerner@redhat.com> 1.0.0-1
- initial package
